-- @author  Stefan Geiger for lizard2000 mod
-- @date  10/01/09
-- Edited by MoonDragon for CB Radio
-- 02/2023
RadioCB = {};

function RadioCB.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function RadioCB:load(xmlFile)
    CBSoundFile = Utils.getFilename("Sounds/radio.wav", self.baseDirectory);
    self.CBSoundId = createSample("RadioCBOndaSound");
    loadSample(self.CBSoundId, CBSoundFile, false);
    self.CBRPlaying = false;
end;

function RadioCB:delete()
    delete(self.burnerSoundId);
end;

function RadioCB:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RadioCB:keyEvent(unicode, sym, modifier, isDown)
end;

function RadioCB:update(dt)
	if self:getIsActiveForInput() and self:getIsActiveForSound() and InputBinding.isPressed(InputBinding.RadioCB_ONDA) then
        if not self.CBRPlaying then
            playSample(self.CBSoundId, 0, 1, 0);
            self.CBRPlaying = true;
        end;
    else
        if self.CBRPlaying then
            stopSample(self.CBSoundId);
            self.CBRPlaying = false;
        end;
    end;
end;

function RadioCB:draw()
    g_currentMission:addHelpButtonText(g_i18n:getText("OndaRadioCB"), InputBinding.RadioCB_ONDA);
end;

